import type { FilterConditionValue, FilterOptionsValue, FilterValue, INodeProperties } from '../Interfaces';
import { ApplicationError } from '../errors/application.error';
type FilterConditionMetadata = {
    index: number;
    unresolvedExpressions: boolean;
    itemIndex: number;
    errorFormat: 'full' | 'inline';
};
export declare class FilterError extends ApplicationError {
    readonly description: string;
    constructor(message: string, description: string);
}
export declare function arrayContainsValue(array: unknown[], value: unknown, ignoreCase: boolean): boolean;
export declare function executeFilterCondition(condition: FilterConditionValue, filterOptions: FilterOptionsValue, metadata?: Partial<FilterConditionMetadata>): boolean;
type ExecuteFilterOptions = {
    itemIndex?: number;
};
export declare function executeFilter(value: FilterValue, { itemIndex }?: ExecuteFilterOptions): boolean;
export declare const validateFilterParameter: (nodeProperties: INodeProperties, value: FilterValue) => Record<string, string[]>;
export {};
