import type { IDataObject, IExecuteData, INodeExecutionData, INodeParameters, IRunExecutionData, IWorkflowDataProxyAdditionalKeys, IWorkflowDataProxyData, INodeParameterResourceLocator, WorkflowExecuteMode } from './Interfaces';
import type { Workflow } from './Workflow';
export declare function isResourceLocatorValue(value: unknown): value is INodeParameterResourceLocator;
export declare class WorkflowDataProxy {
    private workflow;
    private runIndex;
    private itemIndex;
    private activeNodeName;
    private siblingParameters;
    private mode;
    private additionalKeys;
    private executeData?;
    private defaultReturnRunIndex;
    private selfData;
    private contextNodeName;
    private runExecutionData;
    private connectionInputData;
    private timezone;
    constructor(workflow: Workflow, runExecutionData: IRunExecutionData | null, runIndex: number, itemIndex: number, activeNodeName: string, connectionInputData: INodeExecutionData[], siblingParameters: INodeParameters, mode: WorkflowExecuteMode, additionalKeys: IWorkflowDataProxyAdditionalKeys, executeData?: IExecuteData | undefined, defaultReturnRunIndex?: number, selfData?: IDataObject, contextNodeName?: string);
    private nodeContextGetter;
    private selfGetter;
    private nodeParameterGetter;
    private getNodeExecutionOrPinnedData;
    private getNodeExecutionData;
    private nodeDataGetter;
    private envGetter;
    private prevNodeGetter;
    private workflowGetter;
    private nodeGetter;
    getDataProxy(): IWorkflowDataProxyData;
}
