"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkflowHooks = void 0;
class WorkflowHooks {
    constructor(hookFunctions, mode, executionId, workflowData, optionalParameters) {
        var _a;
        optionalParameters = optionalParameters || {};
        this.hookFunctions = hookFunctions;
        this.mode = mode;
        this.executionId = executionId;
        this.workflowData = workflowData;
        this.pushRef = optionalParameters.pushRef;
        this.retryOf = (_a = optionalParameters.retryOf) !== null && _a !== void 0 ? _a : undefined;
    }
    async executeHookFunctions(hookName, parameters) {
        const hooks = this.hookFunctions[hookName];
        if (hooks !== undefined && Array.isArray(hooks)) {
            for (const hookFunction of hooks) {
                await hookFunction.apply(this, parameters);
            }
        }
    }
}
exports.WorkflowHooks = WorkflowHooks;
//# sourceMappingURL=WorkflowHooks.js.map