import type { Event } from '@sentry/node';
export type Level = 'warning' | 'error' | 'fatal' | 'info';
export type ReportingOptions = {
    level?: Level;
} & Pick<Event, 'tags' | 'extra'>;
export declare class ApplicationError extends Error {
    level: Level;
    readonly tags: NonNullable<Event['tags']>;
    readonly extra?: Event['extra'];
    readonly packageName?: string;
    constructor(message: string, { level, tags, extra, ...rest }?: Partial<ErrorOptions> & ReportingOptions);
}
