"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApplicationError = void 0;
const callsites_1 = __importDefault(require("callsites"));
class ApplicationError extends Error {
    constructor(message, { level, tags = {}, extra, ...rest } = {}) {
        var _a, _b;
        super(message, rest);
        this.level = level !== null && level !== void 0 ? level : 'error';
        this.tags = tags;
        this.extra = extra;
        try {
            const filePath = (_a = (0, callsites_1.default)()[2].getFileName()) !== null && _a !== void 0 ? _a : '';
            const match = (_b = /packages\/([^\/]+)\//.exec(filePath)) === null || _b === void 0 ? void 0 : _b[1];
            if (match)
                this.tags.packageName = match;
        }
        catch { }
    }
}
exports.ApplicationError = ApplicationError;
//# sourceMappingURL=application.error.js.map