"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CredentialAccessError = void 0;
const execution_base_error_1 = require("./abstract/execution-base.error");
class CredentialAccessError extends execution_base_error_1.ExecutionBaseError {
    constructor(node, credentialId, workflowId) {
        super('Node has no access to credential', {
            tags: {
                nodeType: node.type,
            },
            extra: {
                credentialId,
                workflowId,
            },
        });
        this.node = node;
        this.description = 'Please recreate the credential or ask its owner to share it with you.';
        this.level = 'warning';
    }
}
exports.CredentialAccessError = CredentialAccessError;
//# sourceMappingURL=credential-access-error.js.map