"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExpressionError = void 0;
const execution_base_error_1 = require("./abstract/execution-base.error");
class ExpressionError extends execution_base_error_1.ExecutionBaseError {
    constructor(message, options) {
        super(message, { cause: options === null || options === void 0 ? void 0 : options.cause });
        if ((options === null || options === void 0 ? void 0 : options.description) !== undefined) {
            this.description = options.description;
        }
        const allowedKeys = [
            'causeDetailed',
            'descriptionTemplate',
            'descriptionKey',
            'functionality',
            'itemIndex',
            'messageTemplate',
            'nodeCause',
            'parameter',
            'runIndex',
            'type',
        ];
        if (options !== undefined) {
            Object.keys(options).forEach((key) => {
                if (allowedKeys.includes(key)) {
                    this.context[key] = options[key];
                }
            });
        }
    }
}
exports.ExpressionError = ExpressionError;
//# sourceMappingURL=expression.error.js.map