import type { INode, JsonObject, Functionality } from '../Interfaces';
import { NodeError } from './abstract/node.error';
import type { ReportingOptions } from './application.error';
export interface NodeOperationErrorOptions {
    message?: string;
    description?: string;
    runIndex?: number;
    itemIndex?: number;
    level?: ReportingOptions['level'];
    messageMapping?: {
        [key: string]: string;
    };
    functionality?: Functionality;
    type?: string;
}
interface NodeApiErrorOptions extends NodeOperationErrorOptions {
    message?: string;
    httpCode?: string;
    parseXml?: boolean;
}
export declare class NodeApiError extends NodeError {
    httpCode: string | null;
    constructor(node: INode, errorResponse: JsonObject, { message, description, httpCode, parseXml, runIndex, itemIndex, level, functionality, messageMapping, }?: NodeApiErrorOptions);
    private setDescriptionFromXml;
    private setDefaultStatusCodeMessage;
}
export {};
